Login Hasło

#1 2011.02.13 12:33:47

orion
Nowy użytkownik
Zarejestrowany: 2011.01.22
Posty: 2
System: Linux
Fluxbox: 1.1.1

Conky-lua problem z motywem

Mam problem z zainstalowaniem tego motywu.  Clock Rings.
http://conky-pitstop.wikidot.com/londonali1010
Utworzyłem folder .conky rozpakowałem tam ten skrypt. Utworzyłem plik conky_widgets.lua i dodałem wpis tego skryptu. Na koncu linijki dodając to

Kod:

cr = cairo_create(cs)
NAME_OF_FUNCTION(cr, OPTIONS)
cairo_destroy(cr)

Potem próbując go odpalić przez to polecenie conky -c ~/.conky/conky_widgets.lua wyskakuje mi to

Kod:

Conky: /home/orion/.conky/conky_widgets.lua: 331: no such configuration: 'end'
Conky: /home/orion/.conky/conky_widgets.lua: 333: no such configuration: 'CR'
Conky: /home/orion/.conky/conky_widgets.lua: 334: no such configuration: 'NAME_OF_FUNCTION'
Conky: /home/orion/.conky/conky_widgets.lua: 335: no such configuration: 'cairo_destroy'
Conky: missing text block in configuration; exiting
***** Imlib2 Developer Warning ***** :
    This program is calling the Imlib call:

    imlib_context_free();

    With the parameter:

    context

    being NULL. Please fix your program.

Może ktoś mi doradzi jak go poprawnie zainstalować?

Offline

 

#2 2011.02.13 22:39:35

svL
Użytkownik
Zarejestrowany: 2009.08.23
Posty: 69
System: PLD Th
Fluxbox: 1.1.1

Re: Conky-lua problem z motywem

nie żebym sie znał, ale imo conky musi byc skompilowany z obsługą lua, jestes pewny że jest?


"God, root, what is difference?"

Offline

 

#3 2011.02.14 15:32:42

orion
Nowy użytkownik
Zarejestrowany: 2011.01.22
Posty: 2
System: Linux
Fluxbox: 1.1.1

Re: Conky-lua problem z motywem

svL napisał(-a):

nie żebym sie znał, ale imo conky musi byc skompilowany z obsługą lua, jestes pewny że jest?

Jest bo go instalowałem i inne skrypty z conky-lua działają. Nie mam tylko tego conky widgets, nie ma tego nigdzie w repo. Więc to chyba już z conky-lua musiało się zainstalować.

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson